Subject: Re: [PATCH/RFC 0/2] bisect per-worktree

From: David Turner <[email-masked]>
Date: Sat, 01 Aug 2015 01:43:17 -0400

On Sat, 2015-08-01 at 06:04 +0200, Christian Couder wrote:
> 
> Le 1 août 2015 09:01, "David Turner" <[email-masked]> a
> écrit :
> >
> > This is RFC because I'm not sure why show-ref only works on refs/
> (and
> > whether it should learn to look in worktree-refs/).  I'm also not
> sure
> > whether there are other changes I should make to refs.c to handle
> > per-worktree refs; I basically did the simplest thing I could think
> of
> > to start with.
> 
> (Sorry, I am answering from my phone, as I am having a vacation. )

Enjoy your vacation.

> I wonder what would happen if people upgrade in the middle of a
> bisection or if they have scripts using "bisect/bad" for example.

Junio told me not to worry about this, so I didn't.